For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturns the information for all your created SMS campaigns
      • POSTCreates an SMS campaign
      • GETGet an SMS campaign
      • PUTUpdate an SMS campaign
      • DELDelete an SMS campaign
      • POSTSend your SMS campaign immediately
      • PUTUpdate a campaign's status
      • POSTSend a test SMS campaign
      • POSTExport an SMS campaign's recipients
      • POSTSend an SMS campaign's report
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsSMS Campaigns

Export an SMS campaign's recipients

POST
https://api.brevo.com/v3/smsCampaigns/:campaignId/exportRecipients
POST
/v3/smsCampaigns/:campaignId/exportRecipients
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.smsCampaigns.requestSmsRecipientExport(1, {
8 recipientsType: "answered",
9 });
10}
11main();
1{
2 "processId": 78
3}
It returns the background process ID which on completion calls the notify URL that you have set in the input.
Was this page helpful?
Previous

Send an SMS campaign's report

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
id of the campaign

Request

Values to send for a recipient export request
recipientsTypeenumRequired
Filter the recipients based on how they interacted with the campaign
notifyURLstringOptionalformat: "url"

URL that will be called once the export process is finished. For reference, https://help.brevo.com/hc/en-us/articles/360007666479

Response

process id created
processIdlong
Id of the process created

Errors

400
Bad Request Error
404
Not Found Error